import es
import playerlib

# Public command
es.ServerVar('redvsblue_ver','1.15','redvsblue').makepublic()

# Config
admins = ['STEAM_ID_LAN','Steam Id here']
model_list = ['mdl', 'dx80.vtx.bz2', 'dx90.vtx.bz2', 'phy.bz2', 'sw.vtx.bz2', 'vvd.bz2', 'xbox.vtx.bz2']
model_dir = 'models/player/bic/'
# End Config

def load():
    downloadmodels()
    downloadmaterials()

def es_map_start():
    downloadmodels()
    downloadmaterials()

def downloadmodels():
	for model in model_list:
		es.stringtable('downloadables','model_dir + model')

def downloadmaterials():
    # blue material
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Armor.vmt')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Armor.vtf')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Armor_normal.vtf')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Clothes.vmt')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Clothes.vtf')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Clothes_normal.vtf')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Visor.vmt')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Visor.vtf')
    es.stringtable('downloadables','materials/models/player/bic/bluemc/Masterchief_Visor_normal.vtf')
    # red material
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Armor.vmt')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Armor.vtf')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Armor_normal.vtf')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Clothes.vmt')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Clothes.vtf')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Clothes_normal.vtf')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Visor.vmt')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Visor.vtf')
    es.stringtable('downloadables','materials/models/player/bic/redmc/Masterchief_Visor_normal.vtf')


def player_spawn(ev):
    team  = int(ev['es_userteam'])
    userid = ev['userid']
    player = playerlib.getPlayer(userid)
    if team == 2:
        player.set('model', 'models/player/bic/t_arctic.mdl')
    elif team == 3:
          player.set('model', 'models/player/bic/ct_sas.mdl')
